Subject: Re: [PATCH 1/9] Add has_extension()

From: Rene Scharfe <[email-masked]>
Date: Thu, 10 Aug 2006 19:48:40 +0200

Johannes Schindelin schrieb:
> On Thu, 10 Aug 2006, Rene Scharfe wrote:
> 
>> The little helper has_extension() documents through its name what we are
>> trying to do and makes sure we don't forget the underrun check.
> 
> While I think it is a good change, it is independent of verify-pack, no?

I could have limited has_extension() to verify-pack.c initially and then
sent a conversion for the other files after this series had been
accepted, yes.  It's one of the main cleanups for verify_one_pack(),
though, because it allowed me to drop some comments -- without losing
readability (IMHO).

I could have documented it broader scope better in the commit message. :-/

Thanks,
René